#!/bin/bash

# TekLabs TekBASE
# Copyright 2005-2010 TekLab
# Christian Frankenstein
# Website: www.teklab.de
#          www.teklab-europe.com
#          www.teklab-america.com
#          www.teklab-asia.com

VAR_A=`uname -m`

if [ "$VAR_A" = "x86_64" ]; then
    # CHECK OS
    if [ -e /etc/debian_version ]; then
	apt-get update
	apt-get install ia32-libs -y
    fi
    check=`cat /etc/issue | grep -i 'Ubuntu'`
    if [ -n "$check" ]; then
	apt-get update
	apt-get install ia32-libs -y
    fi
    check=`cat /etc/issue | grep -i 'Mandrake'`
    if [ -n "$check" ]; then
	apt-get update
	apt-get install ia32-libs -y
    fi
    check=`cat /etc/issue | grep -i 'Red Hat'`
    if [ -n "$check" ]; then
	apt-get update
	apt-get install ia32-libs -y
    fi
    check=`cat /etc/issue | grep -i 'Fedora'`
    if [ -n "$check" ]; then
	yum update
	yum install glibc.i686 -y
    fi
fi

# DOWNLOAD PACKAGES
cd /home
wget http://teklab.de/downloads/webinstall.tar

# INSTALLATION
if [ -e webinstall.tar ]; then
   tar -xzf webinstall.tar
   rm webinstall.tar
   ./webinstall
else
   echo "The file webinstall.tar cant be downloaded."
   echo "Please try again...or send us an email."
fi

exit 0
